// #autoload
// #name = TeamCount - Ripped
// #version = 1
// #date = August 01, 2003
// #author = Mike "Schultzy" Schultz
// #warrior = Schultzy
// #email = schultzy@house-of-style.com
// #web = http://www.house-of-style.com
// #description = Is used to give a teamcount for SSScore Hud
// #status = Release - I think
// #credit = UberGuy - Original Maker
// #credit = Ilys - HUGE help, fixed my problem
// #credit = I take no credit other than just putting this together. I also do not support this script. Sorry.

package TeamCount
{

function TeamCountPlayerJoinTeam(%msgType, %msgString, %clientName, %teamName, %clientId, %teamId)
{
   if(%clientId $= $managerId)
      $TeamCount::OwnTeam = %teamId;

   if($TeamCount::Client[%clientId] !$= "")
       $TeamCount::Team[$TeamCount::Client[%clientId]]--;

   $TeamCount::Team[%teamId]++;
   $TeamCount::Client[%clientId] = %teamId;
   TeamCountUpdate();
}

function TeamCountUpdate()
{
    if($TeamCount::OwnTeam $= 1)
       %other = 2;
    else if($TeamCount::OwnTeam $= 2)
       %other = 1;
    else if($TeamCount::OwnTeam $= 0) // Cheat $TeamCount::OwnTeam to not hack while in Observer
    {
       $TeamCount::OwnTeam = 1;
       %other = 2;
    }
    if($TeamCount::Team[1] $= "")
       $TeamCount::Team[1] = 0;
    if($TeamCount::Team[2] $= "")
       $TeamCount::Team[2] = 0;

    TeamCountFriendly.SetValue($TeamCount::Team[$TeamCount::OwnTeam]);
    TeamCountEnemy.SetValue($TeamCount::Team[%other]);
}

function TeamCountPlayerJoin(%msgType, %msgString, %clientName, %clientId, %targetId, %isAI, %isAdmin, %isSuperAdmin, %isSmurf, %guid) {

	if(StrStr(%msgString, "Welcome to Tribes") != -1) {
       $managerId = %clientId;
       TeamCountUpdate();
    }
}

function TeamCountPlayerDrop(%msgType, %msgString, %clientName, %clientId)
{
   if($managerId $= %clientId)
   {
       $TeamCount::Team[1] = "0";
       $TeamCount:Team[2] = "0";
   } else {
    $TeamCount::Team[$TeamCount::Client[%clientId]]--;
    $TeamCount::Client[%clientId] = "";
    TeamCountUpdate();
   }
}

//function TeamCountReset()
//{
//    $TeamCount::Team[1] = 0;
//    $TeamCount::Team[2] = 0;
//}

function DispatchLaunchMode()
{
    addMessageCallback('MsgClientJoin', TeamCountPlayerJoin);
    addMessageCallback('MsgClientJoinTeam', TeamCountPlayerJoinTeam);
    addMessageCallback('MsgClientDrop', TeamCountPlayerDrop);
    //addMessageCallback('MsgMissionEnd', TeamCountReset);

    parent::DispatchLaunchMode();
}

function disconnect()
{
    $TeamCount::Team[1] = 0;
    $TeamCount::Team[2] = 0;
    deleteVariables("$TeamCount::Client*");

    parent::disconnect();
}

function PlayGui::onWake(%this)
{
    schedule(1200, 0, TeamCountUpdate);
    parent::onWake(%this);
}

};

activatePackage(TeamCount);